> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidjutsu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create asset from existing URL



## OpenAPI

````yaml /openapi/spec.json post /v1/assets
openapi: 3.0.0
info:
  title: VidJutsu API
  version: 2026-05-24-2
servers:
  - url: https://api.vidjutsu.ai
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Assets
  - name: Editor Projects
  - name: Scrape
  - name: Billing
  - name: API Keys
  - name: Usage
  - name: Info
  - name: Pricing
  - name: Subscriptions
  - name: Auth
  - name: Accounts
  - name: Posts
  - name: References
  - name: Upload
  - name: Watch
  - name: Extract
  - name: Transcribe
  - name: Check
  - name: Compliance
  - name: Overlay
  - name: Disclaimer
  - name: Agent
paths:
  /v1/assets:
    post:
      tags:
        - Assets
      summary: Create asset from existing URL
      operationId: createAsset
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssetCreateRequest'
      responses:
        '201':
          description: >-
            The request has succeeded and a new resource has been created as a
            result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetCreateResponse'
components:
  schemas:
    AssetCreateRequest:
      type: object
      required:
        - url
      properties:
        url:
          type: string
        name:
          type: string
        contentType:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        metadata:
          type: object
          additionalProperties: {}
    AssetCreateResponse:
      type: object
      required:
        - id
        - url
        - status
      properties:
        id:
          type: string
        url:
          type: string
        status:
          type: string
          enum:
            - active
    Tag:
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
        value:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````